--- old/usr/src/uts/common/sys/scsi/adapters/mpt_sas/mptsas_var.h	Sun Jan 29 11:45:56 2017
+++ new/usr/src/uts/common/sys/scsi/adapters/mpt_sas/mptsas_var.h	Sun Jan 29 11:45:56 2017
@@ -937,6 +937,11 @@
 	uint8_t			m_in_reset;
 
 	/*
+	 * Task management protection
+	 */
+	kmutex_t		m_taskmgmt_mutex;
+
+	/*
 	 * per instance cmd data structures for task management cmds
 	 */
 	m_event_struct_t	m_event_task_mgmt;	/* must be last */
@@ -1332,7 +1337,7 @@
 int mptsas_send_event_ack(mptsas_t *mpt, uint32_t event, uint32_t eventcntx);
 void mptsas_send_pending_event_ack(mptsas_t *mpt);
 void mptsas_set_throttle(struct mptsas *mpt, mptsas_target_t *ptgt, int what);
-int mptsas_restart_ioc(mptsas_t *mpt);
+int mptsas_reset_handler(mptsas_t *mpt);
 void mptsas_update_driver_data(struct mptsas *mpt);
 uint64_t mptsas_get_sata_guid(mptsas_t *mpt, mptsas_target_t *ptgt, int lun);
 
